%global srcname tzlocal

Name:           python-tzlocal
Version:        4.2
Release:        %mkrel 1
Summary:        A Python module that tries to figure out what your local timezone is
Group:          Development/Python
License:        CC0
URL:            https://github.com/regebro/tzlocal
Source0:        https://pypi.python.org/packages/source/t/tzlocal-%{version}.tar.xz
BuildArch:      noarch

%description
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.


%package -n python3-%{srcname}
Summary:        A Python module that tries to figure out what your local timezone is
Group:          Development/Python
License:        CC0
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytz

%description -n python3-%{srcname}
This Python module returns a tzinfo object with the local timezone information. 
It requires pytz, and returns pytz tzinfo objects.  This module attempts to fix 
a glaring hole in pytz, that there is no way to get the local timezone 
information, unless you know the zoneinfo name.


%prep
%setup -q -n tzlocal-%{version}

rm -rf *.egg-info

%build
%py3_build

%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}


%files -n python3-%{srcname}
%doc PKG-INFO README.rst LICENSE.txt CHANGES.txt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-*.egg-info


%changelog
* Wed Aug 17 2022 TerryN <terryn94 at gmail.com> 4.2-1pclos2022
- update and rebuild for python 3.10

* Tue Jan 08 2019 tex 1.5.1-1pclos2019
- new
